@use '../components/material';

@mixin icon-only-button {
  &.mat-mdc-button,
  &.mat-mdc-outlined-button {
    min-width: material.$mat-icon-button-line-height;
    width: material.$mat-icon-button-line-height;
    line-height: material.$mat-icon-button-line-height;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

@mixin change-button-size($button-size, $font-size) {
  height: $button-size;
  // width: $button-size;
  line-height: $button-size;

  span {
    height: $button-size;
    padding: 0px !important;

    // for icons using i tag
    i {
      font-size: $font-size;
    }

    // for mat icon buttons
    .mat-icon {
      font-size: $font-size;
      // vertical-align: baseline;
    }
  }
}
